## Update a chat

**put** `/v3/chats/{chatId}`

Update chat properties such as display name and group chat icon.

Listen for `chat.group_name_updated`, `chat.group_icon_updated`,
`chat.group_name_update_failed`, or `chat.group_icon_update_failed`
webhook events to confirm the outcome.

### Path Parameters

- `chatId: string`

### Body Parameters

- `display_name: optional string`

  New display name for the chat (group chats only)

- `group_chat_icon: optional string`

  URL of an image to set as the group chat icon (group chats only)

### Returns

- `chat_id: optional string`

- `status: optional string`

### Example

```http
curl https://api.linqapp.com/api/partner/v3/chats/$CHAT_ID \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY" \
    -d '{
          "display_name": "Team Discussion",
          "group_chat_icon": "https://example.com/icon.png"
        }'
```

#### Response

```json
{
  "chat_id": "550e8400-e29b-41d4-a716-446655440000",
  "status": "pending"
}
```
